Pular para o conteúdo principal
GET
/
client
/
orders
Listar ordens
curl --request GET \
  --url https://api.pixusglobal.com/client/orders \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "symbol": "USDTBRL",
    "side": "sell",
    "quantity": 123,
    "price": 123,
    "operationDate": "2023-11-07T05:31:56Z",
    "settlementDate": "2023-11-07T05:31:56Z",
    "status": "pending"
  }
]

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parâmetros de consulta

limit
integer
padrão:20
Intervalo obrigatório: 1 <= x <= 100
offset
integer
padrão:1
Intervalo obrigatório: x >= 1
startDate
string<date>

Data inicial (YYYY-MM-DD)

finalDate
string<date>

Data final (YYYY-MM-DD)

Resposta

Lista de ordens

id
string
symbol
string
Exemplo:

"USDTBRL"

side
string
Exemplo:

"sell"

quantity
number
price
number
operationDate
string<date-time>
settlementDate
string<date-time>
status
enum<string>
Opções disponíveis:
pending,
partial,
paid,
withdrawn,
settled